pro ssc_patch, time0, time1

case 1 of 
   n_params() eq 1: tgrid=anytim(time0,out='vms')
   else: tgrid=timegrid(time0,time1,/day,out='vms')
endcase

pfile='/ssw/site/idl/ssc/sscpatch_'+time2file(reltime(/now),/date_only)
file_append,pfile,'; SSC Patch file 

for i=0,n_elements(tgrid)-1 do begin
   chkssc=ssc_files(tgrid(i),count=sscount)
   cdf=cdrom_files(day=tgrid(i),/sfr)
   sscmissing=(cdf(0) ne '' and sscount eq 0)
   cdmissing=cdf(0) eq ''
   if cdmissing then file_append,'; CDMISSING for day: ' + tgrid(i)
   if sscmissing then file_append,pfile,tgrid(i)
endfor


return
end
