set_logenv,'DIR_SXT_SFC','/home/sswdb/ydb/sfc_new'
set_logenv,'DIR_SXT_SYNSFC','/home/sswdb/ydb/synsfc_new2'

testing=1 ; set to 0 to generate files, 1 to verify sfc list
testing=0

boxnote='No Pointing Constraints: All Available SFCs Used.'


filta=[1] ;,6]
filtb=[2,3,4,5,6]
epochs=(get_yo_dates(/ent))(1:*)

for e=0,n_elements(epochs)-1 do begin 
   for fa=0,n_elements(filta)-1 do begin 
      for fb=0,n_elements(filtb)-1 do begin 
         sfcs=get_epoch_sfcs(epochs(e), filt_a=filta(fa), filt_b=filtb(fb))
         nsfcs=([n_elements(sfcs),0])(sfcs(0) eq '')
         box_message,['Epoch: ' + epochs(e) + ' filta/b=' + $
                      arr2str([filta(fa),filtb(fb)],/comp),$
                      'number sfs: ' + strtrim(nsfcs,2)]
         if nsfcs gt 1 then begin 
            rd_xda,sfcs, -1 , index, data
            if testing then stop, 'sfc list' else $
               mk_synsfc_coeff, index, data, boxnote=boxnote 
         endif        else box_message,'not enough SFCs to worry about...' 
      endfor
   endfor
endfor


end
